> For the complete documentation index, see [llms.txt](https://docs.mnx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mnx.io/api/hashicorp.md).

# Hashicorp Packer and Terraform

## Hashicorp Packer and Terraform

[Hashicorp's Packer](https://www.packer.io/) is a tool for creating and managing customized Triton infrastructure or HVM images which you can easily deploy into multiple instances. These images can be deployed independently with `triton` CLI or by using Terraform.

[Hashicorp's Terraform](https://www.terraform.io/) is a powerful tool to create, manage, and version reproducible infrastructure, including compute resources and upstack services. [From the Terraform.io website](https://www.terraform.io/intro/index.html):

> Terraform allows you to effortlessly combine high-level system providers with your own or with each other. Launch a server from one cloud provider, add a DNS entry with its IP with a different provider. Built-in dependency resolution means things happen in the right order.

### Learn more <a href="#learn-more" id="learn-more"></a>

* [Learn more about how to use Packer](/api/hashicorp/create-and-manage-images-with-packer.md)
* [Learn more about how to use Terraform](/api/hashicorp/manage-infrastructure-with-terraform.md)

Joyent customers can [contact support](/contacting-mnx-support.md) for issues specific to Packer or Terraform on Triton.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mnx.io/api/hashicorp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
